Subject: bug#68920: Issues with issues.guix.gnu.org (502 Bad Gateway)

From: Arun Isaac <[email-masked]>
Date: Mon, 10 Mar 2025 16:02:36 +0000

Hi,

I have tried load-testing issues.guix.gnu.org using siege[1] and these 502
errors show up when mumi is under some load. I have now added nginx
caching[2] of mumi endpoints to help mitigate this. It's not a perfect
solution, but this should be a lot less likely to occur now. I'll close
this issue in a month unless it shows up again.

[1]: https://www.joedog.org/siege-manual/
[2]:
https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=5f3743d35fd2b22928ef3699c2308b92b02a67fa

If this occurs again in the future, we should consider adding more mumi
processes so that nginx will always have at least one mumi process to
reverse proxy to. We could also consider pre-generating the issue pages
and serving them directly with nginx.

Regards,
Arun